itpp::Laplace_RNG Class Reference
Base Module » Random Number Generation

Laplacian distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Laplace_RNG (double meanval=0.0, double variance=1.0)
| Constructor. Set mean and variance.
void | setup (double meanval, double variance)
| Set mean and variance.
void | get_setup (double &meanval, double &variance) const
| Get mean and variance.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.
double | sample ()
| Returns a single sample.

## Detailed Description

Laplacian distribution.

Definition at line 545 of file random.h.

## Constructor & Destructor Documentation

## Laplace_RNG()

itpp::Laplace_RNG::Laplace_RNG | ( | double | meanval = `0.0`,
|  | double | variance = `1.0`
| ) |  |

Constructor. Set mean and variance.

Definition at line 725 of file random.cpp.

References setup(), and itpp::variance().

## Member Function Documentation

## setup()

void itpp::Laplace_RNG::setup | ( | double | meanval,
|  | double | variance
| ) |  |

Set mean and variance.

Definition at line 730 of file random.cpp.

References itpp::variance().

Referenced by Laplace_RNG().

## get_setup()

void itpp::Laplace_RNG::get_setup | ( | double & | meanval,
|  | double & | variance
| ) |  | const

Get mean and variance.

Definition at line 737 of file random.cpp.

References itpp::variance().

## operator()() [1/3]

double itpp::Laplace_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 555 of file random.h.

## operator()() [2/3]

vec itpp::Laplace_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 745 of file random.cpp.

References sample().

## operator()() [3/3]

mat itpp::Laplace_RNG::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 755 of file random.cpp.

References sample().

## sample()

double itpp::Laplace_RNG::sample | ( |  | ) |

inline

Returns a single sample.

Definition at line 561 of file random.h.

References itpp::mean().

Referenced by operator()(), and operator()().

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Mon Jun 10 2024 11:49:36 for IT++ by Doxygen 1.9.8